<?php
include "connect.php"; // اتصال به دیتابیس

    $code = $_POST['code'];

        $stmt = $conn->prepare("SELECT discount_percent,used FROM discount_code WHERE code = :code AND is_active = 1 AND expires_at > NOW()");
        $stmt->bindParam(':code', $code);
        $stmt->execute();
        $discount = $stmt->fetch(PDO::FETCH_ASSOC);

    if (!$discount) {
        echo json_encode(["status" => "error", "message" => "کد تخفیف نامعتبر است یا منقضی شده است"]);
        exit;
    }

    if ($discount['used'] >= 1) {
        echo json_encode(["status" => "error", "message" => "کد تخفیف قبلاً استفاده شده است"]);
        exit;
    }

    // افزایش مقدار used در دیتابیس (ثبت استفاده از کد تخفیف)
    $updateStmt = $conn->prepare("UPDATE discount_code SET used = used + 1 WHERE code = :code");
    $updateStmt->bindParam(':code', $code);
    $updateStmt->execute();

    echo json_encode(["status" => "success", "discount" => $discount['discount_percent']]);



?>
