<?php
require 'connect.php'; // فایل اتصال به پایگاه داده

$user_id = $_POST["user_id"];
$old_password = $_POST["old_password"];
$new_password = $_POST["new_password"];

    // دریافت رمز عبور فعلی از پایگاه داده
    $stmt = $conn->prepare("SELECT password FROM users WHERE id = ?");
    $stmt->execute([$user_id]);
    $user = $stmt->fetch(PDO::FETCH_ASSOC);
    // بررسی تطابق رمز عبور قدیمی
    if (!password_verify($old_password, $user["password"])) {
        echo json_encode(["message" => "رمز عبور قدیمی اشتباه است."]);
        exit();
    }
    
            // هش کردن رمز جدید
    $hashed_password = password_hash($new_password, PASSWORD_BCRYPT);
    // به‌روزرسانی رمز عبور در پایگاه داده
    $stmt = $conn->prepare("UPDATE users SET password = ? WHERE id = ?");
    $stmt->execute([$hashed_password, $user_id]);
    echo json_encode(["message" => "رمز عبور با موفقیت تغییر کرد."]);
?>
