<?php
$conn = new mysqli("localhost", "androi24_mmd", "65933126Ms", "androi24_shopp");
$conn->set_charset("utf8mb4");

$user_id = $_GET['user_id']; // آی‌دی کاربر یا ادمین
$last_check_time = $_GET['last_check_time']; // آخرین زمانی که پیام‌ها چک شده‌اند

$admin_id = 2;
$timeout = 30; // حداکثر 30 ثانیه منتظر بماند
$start_time = time();

while (time() - $start_time < $timeout) {
    $stmt = $conn->prepare("
        SELECT id, sender_id, receiver_id, message, status, created_at 
        FROM messages 
        WHERE (receiver_id = ? AND status = 'sent' AND created_at > ?) 
           OR (sender_id = ? AND receiver_id = ? AND status = 'seen' AND created_at > ?)
        ORDER BY created_at DESC
    ");
    $stmt->bind_param("isiis", $user_id, $last_check_time, $admin_id, $user_id, $last_check_time);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $messages = [];
        while ($row = $result->fetch_assoc()) {
            $messages[] = $row;
        }
        echo json_encode(["status" => "new_messages", "messages" => $messages]);
        exit;
    }

    sleep(2); // صبر کن و دوباره چک کن
}

echo json_encode(["status" => "no_new_messages"]);
?>
