<?php
$conn = new mysqli("localhost", "androi24_mmd", "65933126Ms", "androi24_shopp");
$conn->set_charset("utf8mb4");

if ($_SERVER["REQUEST_METHOD"] == "GET") {
    $admin_id = $_GET['admin_id'];
    $user_id = $_GET['user_id'];

    $sql = "SELECT messages.*, users.first_name 
            FROM messages 
            JOIN users ON messages.sender_id = users.id 
            WHERE (messages.sender_id = ? AND messages.receiver_id = ?) 
               OR (messages.sender_id = ? AND messages.receiver_id = ?) 
            ORDER BY messages.created_at ASC";

    $stmt = $conn->prepare($sql);
    $stmt->bind_param("iiii", $admin_id, $user_id, $user_id, $admin_id);
    $stmt->execute();
    $result = $stmt->get_result();

    $messages = [];
    while ($row = $result->fetch_assoc()) {
        $messages[] = $row;
    }

    echo json_encode($messages);
}
?>
