<?php
$conn = new mysqli("localhost", "androi24_mmd", "65933126Ms", "androi24_shopp");
$conn->set_charset("utf8mb4");

if ($_SERVER["REQUEST_METHOD"] == "GET") {
    $admin_id = 2;  // ادمین با ID 2

    $sql = "SELECT m.id, m.sender_id, m.message, m.status, m.created_at, u.first_name 
            FROM messages m
            JOIN users u ON m.sender_id = u.id
            WHERE m.receiver_id = ? 
            AND m.id = (SELECT MAX(id) FROM messages WHERE sender_id = m.sender_id AND receiver_id = ?) 
            ORDER BY m.created_at DESC";

    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ii", $admin_id, $admin_id);
    $stmt->execute();
    $result = $stmt->get_result();

    $messages = [];
    while ($row = $result->fetch_assoc()) {
        $messages[] = $row;
    }

    echo json_encode($messages);
}
?>
