<?php
include "connect.php";

$query = "SELECT p.*,
          c.name AS category_name ,
          s.name AS sub_cate_name 
          FROM tbl_product p 
          LEFT JOIN tbl_category c ON p.category_id = c.id
          LEFT JOIN tbl_subcate s ON p.sub_cate_id = s.id
          ORDER BY 
          CASE 
            WHEN p.availability = 'unavailable' THEN 1 
            ELSE 0 
          END, 
          p.id DESC 
          LIMIT 100";  // ابتدا موجودها، سپس 50 محصول جدید را انتخاب می‌کنیم

$stmt = $conn->prepare($query);
$stmt->execute();
$product = array();

while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
    $product[] = $row;
}

// انجام مرتب‌سازی رندوم در PHP
shuffle($product);

echo json_encode($product, JSON_UNESCAPED_UNICODE);
?>
