<?php
include "connect.php";

$user = $_GET['user'];

// 1. بروز رسانی محصولات منقضی شده
$updateQuery = "UPDATE tbl_basket 
                SET hasDiscount = 'no' 
                WHERE hasDiscount = 'yes' 
                AND date_discount < CURDATE()";
$conn->prepare($updateQuery)->execute();

$query = "SELECT b.*, c.name AS color_name
          FROM tbl_basket b
          LEFT JOIN colors c ON b.color = c.id
          WHERE b.userid = :user
          ORDER BY b.id DESC";

$stmt = $conn->prepare($query);
$stmt->bindParam(':user', $user, PDO::PARAM_INT);
$stmt->execute();

$product = array();

while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
    $product[] = $row;
}

echo json_encode($product, JSON_UNESCAPED_UNICODE);
?>
