<?php
include 'connect.php';

$stmt = $conn->prepare("
    SELECT n.*, 
           p.name AS cate_name
    FROM notifications n
    JOIN tbl_category p ON n.cate_id = p.id
    ORDER BY n.id DESC 
    LIMIT 1
");
$stmt->execute();
$notification = $stmt->fetch(PDO::FETCH_ASSOC);

if ($notification) {
    echo json_encode(['status' => 'new', 'notification' => $notification], JSON_UNESCAPED_UNICODE);
} else {
    echo json_encode(['status' => 'none']);
}
?>
