<?php
include "connect.php";
header("Content-Type: application/json; charset=UTF-8");

$email = $_POST['phone'];
$password = $_POST['password'];

$stmt = $conn->prepare("SELECT * FROM users WHERE phone = :email");
$stmt->bindParam(':email', $email);
$stmt->execute();

$user = $stmt->fetch(PDO::FETCH_ASSOC);

if ($user && password_verify($password, $user['password'])) {
    echo json_encode([
        "success" => true,
        "message" => "Login successful",
        "user" => [
            "id" => $user['id'],
            "first_name" => $user['first_name'],
            "last_name" => $user['last_name'],
            "email" => $user['email'],
            "phone" => $user['phone'],
            "profile_image" => $user['profile_image']
        ]
    ]);
} else {
    echo json_encode(["success" => false, "message" => "Invalid credentials"]);
}
?>
