<?php 
include "connect.php";  // اتصال به پایگاه داده

header("Content-Type: application/json; charset=UTF-8");

// دریافت مقادیر ورودی
$comment_text = $_POST['comment_text'];
$product_id = $_POST['product_id'];
$user_id = $_POST['user_id'];

try {
    // ثبت نظر در دیتابیس
    $stmt = $conn->prepare("INSERT INTO comments (comment_text, product_id, user_id,verify) 
                            VALUES (:comment_text, :product_id, :user_id,'0')");
    $stmt->bindParam(':comment_text', $comment_text);
    $stmt->bindParam(':product_id', $product_id);
    $stmt->bindParam(':user_id', $user_id);
    $stmt->execute();


    // ارسال پاسخ JSON
    echo json_encode([
        "success" => true
    ]);

} catch (Exception $e) {
    echo json_encode(["success" => false, "message" => "خطا در ثبت نظر: " . $e->getMessage()]);
}
?>
