<?php
include "connect.php";

$phone = $_POST['phone'];
$phone1 = ltrim($phone, '0');

$discountPercent = 15; // مقدار ثابت 15 درصد

    $stmt1 = $conn->prepare("SELECT status FROM users WHERE phone = :phone");
    $stmt1->execute(['phone' => $phone1]);
    $user = $stmt1->fetch(PDO::FETCH_ASSOC);

    if (!$user) {
        die(json_encode(["status" => "error", "message" => "کاربر یافت نشد"]));
    }

    if ($user['status'] !== 'inactive') {
        die(json_encode(["status" => "error", "message" => "این کاربر غیرفعال نیست"]));
    }

// 1. تولید کد تخفیف تصادفی (6 رقمی)
    $code = "OFFER" . rand(10, 999);

    $stmt = $conn->prepare("INSERT INTO discount_code (discount_percent,code, expires_at) VALUES (:discount_percent,:code,NOW() + INTERVAL 4 DAY)");
    $stmt->execute(['discount_percent' => $discountPercent,'code' => $code]);



$url = 'https://console.melipayamak.com/api/send/shared/42b11a7305944122850e805900d62a6d';
$data = array('bodyId' => 314053, 'to' => $phone , 'args' => [$code]);
$data_string = json_encode($data);
$ch = curl_init($url);                          
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");                      
curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);

// Next line makes the request absolute insecure
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
// Use it when you have trouble installing local issuer certificate
// See https://stackoverflow.com/a/31830614/1743997

curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER,
  array('Content-Type: application/json',
        'Content-Length: ' . strlen($data_string))
  );
$result = curl_exec($ch);
curl_close($ch);
echo json_encode(["status" => "success", "message" => "کد تخفیف ارسال شد"]);

?>