<?php
include "connect.php";

$query = "SELECT p.*, c.name AS category_name, s.name AS sub_cate_name
          FROM tbl_product p 
          LEFT JOIN tbl_category c ON p.category_id = c.id
          LEFT JOIN tbl_subcate s ON p.sub_cate_id = s.id
          ORDER BY RAND() DESC LIMIT 15";

$stmt = $conn->prepare($query);
$stmt->execute();
$product = array();

while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
    $product[] = $row;
}

echo json_encode($product, JSON_UNESCAPED_UNICODE); // برای نمایش صحیح کاراکترهای فارسی
?>