<?php
header("Content-Type: application/json");
include 'connect.php'; // فایل تنظیمات دیتابیس

$response = [];

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['file'])) {
    $file_name = basename($_FILES['file']['name']);
    $upload_dir = "Invoice/";
    $target_file = $upload_dir . uniqid() . "_" . $file_name;
    
    $userid  = $_POST['userid'];
    $idPayment  = $_POST['idPayment'];
    
    $image_url = "http://android-pro.ir/shopp/add/".$target_file;
    if (move_uploaded_file($_FILES['file']['tmp_name'], $target_file)) {
        // ذخیره اطلاعات در دیتابیس
        $stmt = $conn->prepare("INSERT INTO invoices (idPayment,invoice,userid) VALUES (?,?,?)");
        if ($stmt->execute([$idPayment,$image_url,$userid])) {
            $response['status'] = "success";
            $response['message'] = "فایل با موفقیت ذخیره شد.";
            $response['file_path'] = $target_file;
        } else {
            $response['status'] = "error";
            $response['message'] = "خطا در ذخیره در دیتابیس.";
        }
    } else {
        $response['status'] = "error";
        $response['message'] = "خطا در آپلود فایل.";
    }
} else {
    $response['status'] = "error";
    $response['message'] = "درخواست نامعتبر.";
}

echo json_encode($response);
?>
