<?php
include "connect.php";

try {
    // گرفتن اطلاعات از درخواست
    $user_id = $_POST["user_id"];
    $title = $_POST["title"];
    $address = $_POST["address"]; 
    $code = $_POST["code"]; 

    // ثبت سفارش در دیتابیس
    $stmt = $conn->prepare("INSERT INTO tbl_address (userid, title, address,code) VALUES (:user_id, :title, :address,:code)");
    $stmt->bindParam(':user_id', $user_id);
    $stmt->bindParam(':title', $title); 
    $stmt->bindParam(':code', $code); 
    $stmt->bindParam(':address', $address);
    $stmt->execute();
        // دریافت شناسه سفارش
    $order_id = $conn->lastInsertId();

    echo json_encode(["status" => "success", "order_id" => $order_id]);

} catch (PDOException $e) {
    // گرفتن خطاها
    echo json_encode(["status" => "error", "message" => $e->getMessage()]);
}
?>