<?php
include "connect.php";  // اتصال به پایگاه داده

header("Content-Type: application/json; charset=UTF-8");


$user_id = intval($_POST['user_id']);
$product_id =$_POST['title'];

try {
    $stmt = $conn->prepare("SELECT * FROM tbl_news WHERE userid = :user_id AND title = :product_id");
    $stmt->bindParam(':user_id', $user_id);
    $stmt->bindParam(':product_id', $product_id);
    $stmt->execute();

    // اگر محصول قبلاً وجود ندارد، اضافه مییم
    if ($stmt->rowCount() == 0) {
        $stmt = $conn->prepare("INSERT INTO tbl_news (userid, title) VALUES (:user_id, :product_id)");
        $stmt->bindParam(':user_id', $user_id);
        $stmt->bindParam(':product_id', $product_id);
        $stmt->execute();

        echo json_encode(["success" => "Product added"]);
    } else {
        echo json_encode(["error" => "Product already"]);
    }
} catch (PDOException $e) {
    echo json_encode(["error" => "Database error: " . $e->getMessage()]);
}
?>