<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>پرداخت ناموفق</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css">
    <!-- اضافه کردن فونت از Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap" rel="stylesheet">
    <style>
        body {
            background: linear-gradient(135deg, #f44336, #d32f2f);
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
            font-family: 'Poppins', sans-serif; /* تغییر به فونت Poppins */
            text-align: center;
            direction: rtl;
        }

        .card {
            border-radius: 15px;
            padding: 40px;
            width: 100%;
            max-width: 500px;
            background-color: #fff;
            box-shadow: 0px 10px 30px rgba(0, 0, 0, 0.2);
            text-align: center;
            animation: fadeIn 0.8s ease-in-out;
        }

        @keyframes fadeIn {
            from { opacity: 0; transform: translateY(-20px); }
            to { opacity: 1; transform: translateY(0); }
        }

        .icon {
            font-size: 60px;
            color: #f44336;
        }

        h2 {
            font-size: 26px;
            color: #333;
            font-weight: 600;
            margin-top: 20px;
        }

        .message {
            font-size: 18px;
            color: #555;
            margin-top: 15px;
            font-weight: 400;
        }

        .btn-retry {
            background-color: #ff5722;
            color: white;
            border: none;
            padding: 14px 22px;
            border-radius: 30px;
            font-size: 18px;
            margin-top: 20px;
            transition: background-color 0.3s;
        }

        .btn-retry:hover {
            background-color: #d84315;
        }

        .btn-home {
            background-color: #4caf50;
            color: white;
            border: none;
            padding: 14px 22px;
            border-radius: 30px;
            font-size: 18px;
            margin-top: 10px;
            transition: background-color 0.3s;
        }

        .btn-home:hover {
            background-color: #388e3c;
        }

        @media (max-width: 576px) {
            .card {
                width: 90%;
                padding: 25px;
            }

            .icon {
                font-size: 50px;
            }

            h2 {
                font-size: 22px;
            }

            .message {
                font-size: 16px;
            }
        }
    </style>
</head>
<body>

    <div class="card">
        <div class="icon">
            <i class="bi bi-x-circle"></i> <!-- آیکن برای خطا -->
        </div>
        <h2>پرداخت ناموفق بود!</h2>
        <p class="message">متاسفانه پرداخت شما با شکست مواجه شد. لطفاً دوباره تلاش کنید.</p>
        <a href="myapp://home" class="btn btn-home w-100">بازگشت به برنامه</a>
    </div>

</body>
</html>
