<?php
include "connect.php";

$pid = $_GET['product-id'];

$query = "SELECT c.*, u.first_name AS user_name, u.profile_image AS user_image 
          FROM comments c
          JOIN users u ON c.user_id = u.id
          WHERE c.product_id = :pid
          ORDER BY c.id DESC ";

$stmt = $conn->prepare($query);
$stmt->bindParam(':pid', $pid, PDO::PARAM_INT);
$stmt->execute();

$comments = array();

while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
    // بررسی مقدار ستون تصویر و جایگزینی مقدار null در صورت خالی بودن
    if (empty($row['image_url'])) {
        $row['image_url'] = "null";
    }
       if (empty($row['user_image'])) {
        $row['user_image'] = ""; 
    }
    $comments[] = $row;
}

echo json_encode($comments, JSON_UNESCAPED_UNICODE); // برای نمایش صحیح کاراکترهای فارسی
?>