<?php
include "connect.php";

// 1. بروز رسانی محصولات منقضی شده
$updateQuery = "UPDATE tbl_product 
                SET hasDiscount = 'no' 
                WHERE hasDiscount = 'yes' 
                AND date_discount < CURDATE()";
$conn->prepare($updateQuery)->execute();

// 2. دریافت لیست محصولات با تخفیف فعال
$query = "SELECT p.*, c.name AS category_name ,s.name AS sub_cate_name
          FROM tbl_product p 
          LEFT JOIN tbl_category c ON p.category_id = c.id
          LEFT JOIN tbl_subcate s ON p.sub_cate_id = s.id
          WHERE hasDiscount = 'yes' 
          ORDER BY p.id DESC 
          LIMIT 10";

$stmt = $conn->prepare($query);
$stmt->execute();
$product = array();

while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
    $product[] = $row;
}

echo json_encode($product, JSON_UNESCAPED_UNICODE); // برای نمایش صحیح کاراکترهای فارسی
?>
