<?php
include "connect.php";
header("Content-Type: application/json; charset=UTF-8");



$first_name = $_POST['first_name'];
$phone = $_POST['phone'];
$password = password_hash($_POST['password'], PASSWORD_BCRYPT); // هش کردن رمز

// بررسی تکراری بودن ایمیل یا شماره تلفن
$checkStmt = $conn->prepare("SELECT id FROM users WHERE  phone = :phone");
$checkStmt->bindParam(':phone', $phone);
$checkStmt->execute();

if ($checkStmt->rowCount() > 0) {
    echo json_encode(["success" => false, "message" => "شماره تلفن موجود می باشد !"]);
    exit();
}

// ثبت کاربر جدید
$insertStmt = $conn->prepare("INSERT INTO users (first_name, phone, password) VALUES (:first_name, :phone, :password)");
$insertStmt->bindParam(':first_name', $first_name);
$insertStmt->bindParam(':phone', $phone);
$insertStmt->bindParam(':password', $password);

if ($insertStmt->execute()) {
        $userid = $conn->lastInsertId();

    echo json_encode(["success" => true, "message" => "ثبت نام با موفقیت انجام شد","userid"=>$userid]);
} else {
    echo json_encode(["success" => false, "message" => "Database error"]);
}
?>
