<?php
include "connect.php";

try {
    // گرفتن اطلاعات از درخواست
    $user_id = $_POST["user_id"];
    $code = $_POST["code"]; 

    // ثبت سفارش در دیتابیس
    $stmt = $conn->prepare("INSERT INTO `tbl_smsverify`(`userid`, `code`) VALUES (:user_id,:code)");
    $stmt->bindParam(':user_id', $user_id);
    $stmt->bindParam(':code', $code); 
    $stmt->execute();

    echo json_encode(["status" => "success"]);

} catch (PDOException $e) {
    // گرفتن خطاها
    echo json_encode(["status" => "error", "message" => $e->getMessage()]);
}
?>