<?php
header('Content-Type: application/json; charset=UTF-8');

if (!isset($_GET["phone"])) {
    echo json_encode(["status" => "error", "message" => "شماره تلفن ارسال نشده است!"]);
    exit;
}

$phone = $_GET["phone"];
$url = 'https://console.melipayamak.com/api/send/otp/42b11a7305944122850e805900d62a6d';
$data = array('to' => $phone);
$data_string = json_encode($data);

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Content-Type: application/json',
    'Content-Length: ' . strlen($data_string)
]);

$result = curl_exec($ch);
curl_close($ch);

// بررسی اینکه آیا درخواست پیامک موفق بوده است یا نه
$response = json_decode($result, true);
if ($response && isset($response['code'])) {
    echo json_encode(["status" => "success", "code" => $response['code']]);
} else {
    echo json_encode(["status" => "error", "message" => "ارسال پیامک ناموفق بود!"]);
}
?>
