<?php
// در صورت نیاز به اتصال به دیتابیس می‌توانید این قسمت را اضافه کنید
include "connect.php";
?>

<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>پنل مدیریت</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.rtl.min.css" rel="stylesheet">
    <style>
        body {
            font-family: Tahoma, Geneva, sans-serif;
        }
    </style>
</head>
<body class="bg-light">

<!-- منوی کناری -->
<div class="container-fluid">
    <div class="row">
        <div class="col-md-3">
            <div class="bg-primary text-white p-4" style="height: 100vh;">
                <h4 class="text-center">پنل مدیریت</h4>
                <ul class="nav flex-column mt-4">
                    <li class="nav-item">
                        <a class="nav-link text-white" href="add_product.php">افزودن محصول</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-white" href="add_spec.php">افزودن مشخصات محصول</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-white" href="add_gallery.php">افزودن گالری محصول</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-white" href="manage_products.php">مدیریت محصولات</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-white" href="manage_categories.php">مدیریت دسته‌بندی‌ها</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-white" href="manage_colors.php">مدیریت رنگ‌ها</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-white" href="add_notifaction.php">افزودن نوتفیکیشن</a>
                    </li>
                      <li class="nav-item">
                        <a class="nav-link text-white" href="manage_buy.php">مدیریت سفارش ها </a>
                    </li>
                           <li class="nav-item">
                        <a class="nav-link text-white" href="manage_offer.php">مدیریت محصولات شگفت انگیز </a>
                    </li>
                       </li>
                           <li class="nav-item">
                        <a class="nav-link text-white" href="add_discount.php">افزودن کد تخفیف  </a>
                    </li>
                     <li class="nav-item">
                        <a class="nav-link text-white" href="manage_slider.php">مدیریت اسلایدر   </a>
                    </li>
                </ul>
            </div>
        </div>
        
        <!-- محتوای اصلی -->
        <div class="col-md-9">
            <div class="container mt-5">
                <h3 class="text-center">خوش آمدید به پنل مدیریت</h3>
                <p class="text-center">در این بخش می‌توانید محصولات خود را مدیریت کنید.</p>
            </div>
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
