<?php
include "connect.php";

try {
    if (isset($_GET['id']) && isset($_GET['status'])) {
        $id = $_GET['id'];
        $status = $_GET['status'];

        // بروزرسانی وضعیت سفارش
        $stmt = $conn->prepare("UPDATE tbl_pyment SET status = :status WHERE id = :id");
        $stmt->bindParam(':status', $status);
        $stmt->bindParam(':id', $id, PDO::PARAM_INT);

        if ($stmt->execute()) {
            echo "وضعیت سفارش با موفقیت تغییر یافت.";
        } else {
            echo "خطا در تغییر وضعیت.";
        }
    }
}
catch(PDOException $e) {
    echo "اتصال به پایگاه داده موفقیت‌آمیز نبود: " . $e->getMessage();
}

$conn = null;
?>
